import Vue from "vue"
import Vuex from "vuex"
import app from "./modules/app"
import user from "./modules/user"
import tagsView from "./modules/tagsView"
import permission from "./modules/permission"
import settings from "./modules/settings"
import dict from "./modules/dict"
import getters from "./getters"
import staticData from "./modules/staticData"

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    tagsView,
    permission,
    settings,
    dict,
    staticData
  },
  getters
})

export default store
